Package: org.codehaus.groovy.transform

## [Java] Class LogASTTransformation

- org.codehaus.groovy.transform.LogASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class LogASTTransformation
      extends AbstractASTTransformation
      implements CompilationUnitAware

  This class provides an AST Transformation to add a log field to a class.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `LogASTTransformation.AbstractLoggingStrategy` |
    `static class` | `LogASTTransformation.AbstractLoggingStrategyV2` |
    `interface` | `LogASTTransformation.LoggingStrategy` | A LoggingStrategy defines how to wire a new logger instance into an existing class.
    `interface` | `LogASTTransformation.LoggingStrategyV2` | A LoggingStrategy defines how to wire a new logger instance into an existing class.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_ACCESS_MODIFIER` |
    `static String` | `DEFAULT_CATEGORY_NAME` | This is just a dummy value used because String annotations values can not be null.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `public Expression` | `transform(Expression exp)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`
    `` | `public void` | `visitClass(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Field Detail

    - #### public static final String DEFAULT_ACCESS_MODIFIER

    - #### public static final String DEFAULT_CATEGORY_NAME

      This is just a dummy value used because String annotations values can not be null. It will be replaced by the fully qualified class name of the annotated class.

  - ### Method Detail

    - #### @Override protected SourceUnit getSourceUnit()

    - #### @Override public void setCompilationUnit(CompilationUnit unit)

    - #### @Override public Expression transform(Expression exp)

    - #### @Override public void visit(ASTNode[] nodes, SourceUnit source)

    - #### @Override public void visitClass(ClassNode node)